summaryrefslogtreecommitdiff
path: root/Tests
diff options
context:
space:
mode:
authorKaleb Keithley <kaleb@freedesktop.org>2003-11-14 16:49:23 +0000
committerKaleb Keithley <kaleb@freedesktop.org>2003-11-14 16:49:23 +0000
commite87b0d408c8bef387afb069e25028d9a52c58a62 (patch)
tree0603114002777b275caa6d51a17e09e2ce657b85 /Tests
Initial revision
Diffstat (limited to 'Tests')
-rw-r--r--Tests15
1 files changed, 15 insertions, 0 deletions
diff --git a/Tests b/Tests
new file mode 100644
index 0000000..296a1c1
--- /dev/null
+++ b/Tests
@@ -0,0 +1,15 @@
+#! /bin/sh -v
+# $XConsortium: Tests,v 1.3 94/06/03 15:58:32 gildea Exp $
+xmessage this is standard usage, message on the command line
+echo this is a message from standard input | xmessage -file -
+xmessage -file Imakefile -buttons print,me -print
+# a file so long it requires a scrollbar
+xmessage -file xmessage.c
+xmessage -buttons "" no buttons, use delete window from window manager
+xmessage -buttons default,other -default default Type Return for the default
+xmessage -buttons many,buttons,determining,the,size,of,the,window short msg
+xmessage -buttons 14:14,102,3:3,27:27,105 pick a number; echo you picked $?
+# fun with resources...
+xmessage -buttons "" -xrm '*message.borderWidth: 0' \
+ -xrm '*Translations: #override <BtnDown>: exit(0)' \
+ click here to dismiss